Option Strict Off
Option Explicit On

Imports fatd_faturamento.BLL.Repositorio
Imports fatd_faturamento.ENTIDADE
Friend Class frmCadastroLogradouros
    Inherits System.Windows.Forms.Form
    Private mItem As System.Windows.Forms.ListViewItem ' Objeto que controla a linha do listview
    Dim vCodigo As String
    Dim vResp As Short


#Region "Propriedades"

    Private Sub frmCadLogradouro_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load

        Try

            lAtualizaList()
            PreencheCombobox()

            If lvwLogradouros.Items.Count > 0 Then
                lEdit(lvwLogradouros.FocusedItem.Text.Trim())
            End If

            LigDes(True)

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: frmCadLogradouro_Load" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub lvwLogradouros_ColumnClick(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.ColumnClickEventArgs) Handles lvwLogradouros.ColumnClick

        Dim ColumnHeader As System.Windows.Forms.ColumnHeader = lvwLogradouros.Columns(eventArgs.Column)

        Try
            lvwLogradouros.ListViewItemSorter = New ListViewItemComparer(eventArgs.Column)
            lvwLogradouros.Sort()
        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: lvwLogradouros_ColumnClick" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub lvwLogradouros_DoubleClick(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles lvwLogradouros.DoubleClick
        Try
            If lvwLogradouros.Items.Count > 0 Then
                lEdit(lvwLogradouros.FocusedItem.Text.Trim())
            End If
        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: lvwLogradouros_DoubleClick" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try
    End Sub

    Private Sub cmbUf_SelectedIndexChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmbUf.SelectedIndexChanged

        Dim objMunic As New entidadeMunic()

        Try

            txtIdUf.Text = Convert.ToString(DirectCast(cmbUf.SelectedItem, entidadeUf).CODNUM)
            objMunic.COD = Format(Convert.ToInt64(txtIdUf.Text), "00")
            PreencherMunic(cmbCidade, objMunic)

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: cmbUf_SelectedIndexChanged" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmbCidade_SelectedIndexChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmbCidade.SelectedIndexChanged

        Dim objDistrito As New entidadeDistrito()
        Try

            txtIdCid.Text = Convert.ToString(DirectCast(cmbCidade.SelectedItem, entidadeMunic).CODNUM)
            objDistrito.COD = Format(Convert.ToInt64(Convert.ToString(DirectCast(cmbUf.SelectedItem, entidadeUf).CODNUM)), "00") + Format(Convert.ToInt64(txtIdCid.Text), "0000")
            PreencherDistrito(cmbDistrito, objDistrito)

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: cmbCidade_SelectedIndexChanged" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try


    End Sub

    Private Sub cmbDistrito_SelectedIndexChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmbDistrito.SelectedIndexChanged

        Dim objBairro As New entidadeBairro()
        Try

            txtIdDis.Text = Convert.ToString(DirectCast(cmbDistrito.SelectedItem, entidadeDistrito).CODNUM)
            objBairro.COD = Format(Convert.ToInt64(Convert.ToString(DirectCast(cmbUf.SelectedItem, entidadeUf).CODNUM)), "00") + Format(Convert.ToInt64(Convert.ToString(DirectCast(cmbCidade.SelectedItem, entidadeMunic).CODNUM)), "0000") + Format(Convert.ToInt64(txtIdDis.Text), "00")
            PreencherBairro(cmbBairro, objBairro)

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: cmbDistrito_SelectedIndexChanged" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try


    End Sub

    Private Sub cmbBairro_SelectedIndexChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmbBairro.SelectedIndexChanged

        Try

            txtIdBai.Text = Convert.ToString(DirectCast(cmbBairro.SelectedItem, entidadeBairro).CODNUM)

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: cmbBairro_SelectedIndexChanged" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmdNovo_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdNovo.Click

        Try

            lNew()

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: cmdNovo_Click" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmdSair_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdSair.Click

        Try

            lClose()

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: cmdSair_Click" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub cmdSalvar_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdSalvar.Click

        Try

            LigDes(True)
            cmdSair.Text = "&Fechar"

            If lInsert() Then
                MessageBox.Show("Logradouro criado com sucesso!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)

                If Not vfrmOld Is Nothing Then
                    vfrmOld.SetaEnderecoNovo(vfrmCodigo)
                End If

                lAtualizaList()
                lEdit(lvwLogradouros.FocusedItem.Text.Trim())
            Else
                MessageBox.Show("Logradouro não pode ser criado!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
                Exit Sub
            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: cmdSalvar_Click" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try


    End Sub

    Private Sub cmdExcluir_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdExcluir.Click

        Dim objLogradouro As New entidadeLogradouro
        Dim objUCFaturamento As New entidadeUCFaturamento

        Try
            If lvwLogradouros.FocusedItem.Selected Then

                If lvwLogradouros.Items.Count > 0 Then
                    vResp = MessageBox.Show("Deseja Realmente Excluir " & lvwLogradouros.FocusedItem.Text & " ?", "Confirmação de Exclusão", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Question)

                    If vResp = DialogResult.Yes Then

                        objLogradouro.COD = lvwLogradouros.FocusedItem.Text
                        objUCFaturamento.GRUPO = lvwLogradouros.FocusedItem.Text

                        If VerificaSeEstaSendoUsado(objUCFaturamento) = False Then

                            If Not lDelete(objLogradouro) Then
                                MessageBox.Show("Logradouro não pode ser excluído!", "Confirmação de Exclusão", MessageBoxButtons.OK, MessageBoxIcon.Information)
                                Exit Sub
                            Else
                                MessageBox.Show("Logradouro excluído com sucesso!", "Confirmação de Exclusão", MessageBoxButtons.OK, MessageBoxIcon.Information)
                                lAtualizaList()
                                lEdit(lvwLogradouros.FocusedItem.Text.Trim())
                            End If

                        Else
                            MessageBox.Show("Este código esta sendo usado por " & vMsg & " e por isso não pode ser excluído!", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
                            Exit Sub
                        End If

                    ElseIf vResp = DialogResult.Cancel Then
                        Exit Sub
                    End If

                Else
                    MessageBox.Show("Você precisa selecionar algum registro", "Informação", MessageBoxButtons.OK, MessageBoxIcon.Information)
                    Exit Sub
                End If

            End If
        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: cmdExcluir_Click" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try
    End Sub

    Private Sub frmCadLogradouro_KeyPress(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.KeyPressEventArgs) Handles MyBase.KeyPress

        Dim KeyAscii As Short = Asc(eventArgs.KeyChar)

        Try


            If KeyAscii = System.Windows.Forms.Keys.Escape Then
                Call cmdSair_Click(cmdSair, New System.EventArgs())
            ElseIf KeyAscii = System.Windows.Forms.Keys.Return Then
                TabEnter(KeyAscii, eventArgs)
            End If

            eventArgs.KeyChar = Chr(KeyAscii)

            If KeyAscii = 0 Then
                eventArgs.Handled = True
            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: frmCadLogradouro_KeyPress" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

    Private Sub frmCadLogradouro_FormClosed(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed


        Try

            If Not vfrmOld Is Nothing Then
                vfrmOld.Enabled = True
            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: frmCadLogradouro_FormClosed" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

#End Region

#Region "Métodos"

    Private Sub lAtualizaList()

        Dim objLogradouro As entidadeLogradouro

        Try
            CarregarGrid(objLogradouro)

            If lvwLogradouros.Items.Count <> 0 Then

                lvwLogradouros.Focus()
                lvwLogradouros.Items.Item(0).Selected = True
                lvwLogradouros.FocusedItem = lvwLogradouros.Items.Item(0)
                lvwLogradouros.Items.Item(0).EnsureVisible()

            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: lAtualizaList" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub
    Public Sub PrepararListView()

        Try

            lvwLogradouros.Items.Clear()
            lvwLogradouros.Columns.Clear()
            lvwLogradouros.Columns.Add(String.Empty, "Código", 50)
            lvwLogradouros.Columns.Add(String.Empty, "Logradouro", 100)
            lvwLogradouros.Columns.Add(String.Empty, "CEP", 50)
            lvwLogradouros.Columns.Add(String.Empty, "Bairro", 100)
            lvwLogradouros.Columns.Add(String.Empty, "Distrito", 100)
            lvwLogradouros.Columns.Add(String.Empty, "Cidade", 100)
            lvwLogradouros.Columns.Add(String.Empty, "UF", 100)

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: PrepararListView" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub
    Public Sub CarregarGrid(ByRef objLogradouro As entidadeLogradouro)

        Try
            PrepararListView()
            For Each objLogradouroFor As entidadeLogradouro In New repositorioLogradouro().Select(objLogradouro)
                AddListItem(mItem, objLogradouroFor)
            Next
        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: CarregarGrid" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub
    Private Sub AddListItem(ByRef xItem As System.Windows.Forms.ListViewItem, ByRef objLogradouro As entidadeLogradouro)

        Try

            xItem = lvwLogradouros.Items.Add(objLogradouro.entidadeUF.CODNUM.ToString(), objLogradouro.COD, String.Empty)

            If (String.IsNullOrEmpty(objLogradouro.NOME)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objLogradouro.NOME)
            End If

            If (String.IsNullOrEmpty(objLogradouro.CEP)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objLogradouro.CEP)
            End If

            If (String.IsNullOrEmpty(objLogradouro.entidadeBAIRRO.NOME)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objLogradouro.entidadeBAIRRO.NOME)
            End If

            If (String.IsNullOrEmpty(objLogradouro.entidadeDISTRITO.NOME)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objLogradouro.entidadeDISTRITO.NOME)
            End If

            If (String.IsNullOrEmpty(objLogradouro.entidadeMUNIC.NOME)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objLogradouro.entidadeMUNIC.NOME)
            End If

            If (String.IsNullOrEmpty(objLogradouro.entidadeUF.UF)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objLogradouro.entidadeUF.UF)
            End If

            If (String.IsNullOrEmpty(objLogradouro.CODNUM.ToString())) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objLogradouro.CODNUM.ToString())
            End If

            If (String.IsNullOrEmpty(objLogradouro.entidadeBAIRRO.CODNUM)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objLogradouro.entidadeBAIRRO.CODNUM)
            End If

            If (String.IsNullOrEmpty(objLogradouro.entidadeDISTRITO.CODNUM)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objLogradouro.entidadeDISTRITO.CODNUM)
            End If

            If (String.IsNullOrEmpty(objLogradouro.entidadeMUNIC.CODNUM)) Then
                xItem.SubItems.Add(Space(1))
            Else
                xItem.SubItems.Add(objLogradouro.entidadeMUNIC.CODNUM)
            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: AddListItem" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub
    Private Sub PreencheCombobox()

        Dim objMunic As New entidadeMunic()
        Dim objDistrito As New entidadeDistrito()
        Dim objBairro As New entidadeBairro()

        Try

            PreencherUf(cmbUf)
            objMunic.COD = Format(Convert.ToInt64(Convert.ToString(DirectCast(cmbUf.SelectedItem, entidadeUf).CODNUM)), "00")
            PreencherMunic(cmbCidade, objMunic)
            objDistrito.COD = Format(Convert.ToInt64(Convert.ToString(DirectCast(cmbUf.SelectedItem, entidadeUf).CODNUM)), "00") + Format(Convert.ToInt64(Convert.ToString(DirectCast(cmbCidade.SelectedItem, entidadeMunic).CODNUM)), "0000")
            PreencherDistrito(cmbDistrito, objDistrito)
            objBairro.COD = Format(Convert.ToInt64(Convert.ToString(DirectCast(cmbUf.SelectedItem, entidadeUf).CODNUM)), "00") + Format(Convert.ToInt64(Convert.ToString(DirectCast(cmbCidade.SelectedItem, entidadeMunic).CODNUM)), "0000") + Format(Convert.ToInt64(Convert.ToString(DirectCast(cmbDistrito.SelectedItem, entidadeDistrito).CODNUM)), "00")
            PreencherBairro(cmbBairro, objBairro)

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: PreencheCombobox" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub
    Private Sub PreencherValoresList(ByRef Items As String)

        vCodigo = Items

        Dim Item As ListViewItem

        Dim objMunic As New entidadeMunic()
        Dim objDistrito As New entidadeDistrito()
        Dim objBairro As New entidadeBairro()

        Try

            For Each Item In lvwLogradouros.Items

                If Item.Text = vCodigo Then

                    'Pega a Coluna 0
                    txtCodigo.Text = (Item.Text)

                    'Para pegar os SubItems e so fazer o seguinte
                    cmbUf.SelectedValue = Convert.ToInt32((Item.Name.Trim()))
                    objMunic.COD = Format(Convert.ToInt64((Item.Name.Trim())), "00")
                    PreencherMunic(cmbCidade, objMunic)
                    cmbCidade.SelectedValue = Convert.ToInt32(Item.SubItems(10).Text)
                    objDistrito.COD = Format(Convert.ToInt64((Item.Name.Trim())), "00") + Format(Convert.ToInt64((Item.SubItems(10).Text)), "0000")
                    PreencherDistrito(cmbDistrito, objDistrito)
                    cmbDistrito.SelectedValue = Convert.ToInt32(Item.SubItems(9).Text)
                    objBairro.COD = Format(Convert.ToInt64((Item.Name.Trim())), "00") + Format(Convert.ToInt64((Item.SubItems(10).Text)), "0000") + Format(Convert.ToInt64((Item.SubItems(9).Text)), "00")
                    PreencherBairro(cmbBairro, objBairro)
                    cmbBairro.SelectedValue = Convert.ToInt32(Item.SubItems(8).Text)
                    txtIdLog.Text = (Item.SubItems(7).Text)
                    txtLogra.Text = (Item.SubItems(1).Text)
                    txtCep.Text = (Item.SubItems(2).Text)

                End If


            Next

            Item = Nothing

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: PreencherValoresList" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub
    Private Sub LigDes(ByVal ablnAux As Boolean)

        Try

            fmePesquisa.Enabled = ablnAux
            fmeDados.Enabled = Not ablnAux
            cmdNovo.Enabled = ablnAux
            cmdSalvar.Enabled = Not ablnAux
            cmdExcluir.Enabled = (ablnAux And lvwLogradouros.Items.Count > 1)

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: LigDes" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub
    Private Sub lEdit(ByRef Item As String)

        vCodigo = Item

        Try

            PreencherValoresList(vCodigo)

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: lEdit" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub
    Private Sub lNew()

        Try

            LigDes(False)
            cmdSair.Text = "&Cancelar"
            lClear()
        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: lNew" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub
    Private Sub lClear()

        Try

            Me.txtCodigo.Text = String.Empty
            Me.txtIdLog.Text = String.Empty
            Me.txtIdBai.Text = String.Empty
            Me.txtIdDis.Text = String.Empty
            Me.txtIdCid.Text = String.Empty
            Me.txtIdUf.Text = String.Empty
            Me.txtLogra.Text = String.Empty
            Me.txtCep.Text = String.Empty
            cmbUf.SelectedIndex = 0
            cmbCidade.SelectedIndex = 0
            cmbDistrito.SelectedIndex = 0
            cmbBairro.SelectedIndex = 0

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: lClear" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub
    Private Sub lClose()

        Try

            If cmdSair.Text = "&Fechar" Then
                Close()
            Else
                LigDes(True)
                cmdSair.Text = "&Fechar"
            End If

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: lClose" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub
    'Private Function lInsert() As Boolean

    '    Dim objLogradouro As New entidadeLogradouro
    '    Dim repositorioLogradouro As New repositorioLogradouro

    '    Try
    '        objLogradouro.entidadeMUNIC = New entidadeMunic()
    '        objLogradouro.entidadeDISTRITO = New entidadeDistrito()
    '        objLogradouro.entidadeBAIRRO = New entidadeBairro()

    '        objLogradouro.NOME = txtLogra.Text
    '        objLogradouro.CEP = txtCep.Text
    '        objLogradouro.CODCID = txtIdCid.Text
    '        objLogradouro.CODBAI = txtIdBai.Text
    '        objLogradouro.entidadeMUNIC.CODUF = txtIdUf.Text
    '        objLogradouro.entidadeDISTRITO.CODNUM = txtIdDis.Text

    '        repositorioLogradouro.Insert(objLogradouro)

    '        Return True
    '    Catch ex As Exception
    '        Return False
    '    End Try

    'End Function
    Private Function lInsert() As Boolean

        Dim objLogradouro As New entidadeLogradouro
        Dim repositorioLogradouro As New repositorioLogradouro

        Dim iCodNum As Integer

        Dim objAtualizaBancoDados As New entidadeAtualizaBancoDados
        Dim repositorioAtualizaBanco As New repositorioAtualizaBancoDados
        Dim dt As DataTable

        objAtualizaBancoDados.QUERY_NAME = "SELECT max(codnum) + 1 as Codnum FROM Logra"
        dt = repositorioAtualizaBanco.Consultar(objAtualizaBancoDados)

        Try

            For Each row As DataRow In dt.Rows
                If IsDBNull(row.Item("CodNum")) Then
                    iCodNum = 1
                Else
                    iCodNum = row.Item("Codnum")
                End If
            Next

            objLogradouro.CODNUM = iCodNum
            objLogradouro.entidadeMUNIC = New entidadeMunic()
            objLogradouro.entidadeDISTRITO = New entidadeDistrito()
            objLogradouro.entidadeBAIRRO = New entidadeBairro()

            objLogradouro.NOME = txtLogra.Text
            objLogradouro.CEP = txtCep.Text
            objLogradouro.CODCID = txtIdCid.Text
            objLogradouro.CODBAI = txtIdBai.Text
            objLogradouro.entidadeMUNIC.CODUF = txtIdUf.Text
            objLogradouro.entidadeDISTRITO.CODNUM = txtIdDis.Text

            repositorioLogradouro.Insert2(objLogradouro)

            Return True
        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: lInsert" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Return False
            Exit Function
        End Try

    End Function
    Private Function lDelete(ByRef objLogradouro As entidadeLogradouro) As Boolean
        Dim repositorioLogradouro As New repositorioLogradouro
        Try

            repositorioLogradouro.Delete(objLogradouro)

            Return True
        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: lDelete" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Return False
            Exit Function
        End Try
    End Function
    Public Sub SetaParametros(ByRef frmOld As System.Windows.Forms.Form)

        Try

            vfrmOld = frmOld
            vfrmOld.Enabled = False

        Catch ex As Exception
            MessageBox.Show("Ocorreu o Erro: " & Err.Description & " - Rotina: SetaParametros" & "", "Aviso de Erro", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try

    End Sub

#End Region

End Class